#!/bin/sh
#------------------------------------------------------------------------------
# /tmp/install.sh - installation file for espeak services on EIS/FAIR
#
# Copyright (c) 2001-2017 The Eisfair Team, team(at)eisfair(dot)org
#
# Creation:     2007-09-20  jed
# Last Update:  $Id: install.sh 45706 2017-04-05 06:46:52Z jed $
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version..
#------------------------------------------------------------------------------

# read eislib
. /var/install/include/eislib

module_name=espeak
mbrola_dir=/usr/share/espeak-data/mbrola

mecho --info "running install.sh ..."

# menu
mecho "adding ${module_name} module menu  ..."
/var/install/bin/add-menu --menu "setup.services.menu" "setup.services.${module_name}.menu" "eSpeak"

# extract espeak-data software
if [ ! -d /usr/share ]
then
    mkdir -p /usr/share
fi

# v1.1.1 - prevent extraction error due to an existing directory
rm -rf /usr/share/espeak-data/voices/en

tar xzf /tmp/espeak-data.tgz -C "/usr/share" --overwrite
rm -f /tmp/espeak-data.tgz

echo
mecho --warn "Due to a non-GPL license MBROLA voice files are not include in this package."
mecho --warn "If you want to use MBROLA voice files with the espeak program you need to"
mecho --warn "install them manually by using the 'Download and install MBROLA files' function."
echo

rm -f /var/run/${module_name}.update

exit 0
